# color.yaml should be placed in the directory that contains the imageset
imageset: 'DarkSubtracted' # calibratecolor.py and humancolor.py assume already flattened, rotated, etc.
basefile: '*' # or to disambiguate something like 'ColorChecker-QHY600-Milvus50-F11-gain26_15' 
visibleCaptures:
  - 'white6500-NoFilter'
  - 'white6500-WrattenBlue98'
  - 'white6500-WrattenGreen61'
  - 'white6500-WrattenRed25'
  - 'white2800-WrattenBlue98'
  - 'white2800-WrattenGreen61'
  - 'white2800-WrattenRed25'
  - 'uv405-WrattenBlue98'
  - 'blue475-NoFilter'
  - 'blue475-WrattenBlue98'
  - 'blue475-WrattenGreen61'
ignore: # experiment with including and ignoring captures
  - 'ir730-WrattenRed25'
  - 'white2800-NoFilter'
  - 'uv405-NoFilter'
checker: 
  brand: 'Calibrite Colorchecker Passport'
  serial: '2024'
  owner: 'Todd Hanneken'
  data: 'https://palimpsest.stmarytx.edu/rodeo/2025/data/'
  note: 'Using online values in place of spectrophotometer measurements'
  1:
    x: 275
    y: 5589
    w: 60
    h: 60
  2:
    x: 275
    y: 5472
    w: 60
    h: 60
  3:
    x: 265
    y: 5357
    w: 60
    h: 60
  4:
    x: 265
    y: 5240
    w: 60
    h: 60
  5:
    x: 260
    y: 5125
    w: 60
    h: 60
  6:
    x: 260
    y: 5003
    w: 60
    h: 60
  7:
    x: 385
    y: 5585
    w: 60
    h: 60
  8:
    x: 385
    y: 5465
    w: 60
    h: 60
  9:
    x: 380
    y: 5355
    w: 60
    h: 60
  10:
    x: 380
    y: 5240
    w: 60
    h: 60
  11:
    x: 375
    y: 5120
    w: 60
    h: 60
  12:
    x: 375
    y: 5000
    w: 60
    h: 60
  13:
    x: 505
    y: 5580
    w: 60
    h: 60
  14:
    x: 505
    y: 5460
    w: 60
    h: 60
  15:
    x: 500
    y: 5350
    w: 60
    h: 60
  16:
    x: 500
    y: 5230
    w: 60
    h: 60
  17:
    x: 495
    y: 5120
    w: 60
    h: 60
  18:
    x: 495
    y: 5000
    w: 60
    h: 60
  19:
    x: 625
    y: 5580
    w: 60
    h: 60
  20:
    x: 625
    y: 5460
    w: 60
    h: 60
  21:
    x: 620
    y: 5350
    w: 60
    h: 60
  22:
    x: 620
    y: 5230
    w: 60
    h: 60
  23:
    x: 615
    y: 5110
    w: 60
    h: 60
  24:
    x: 615
    y: 4995
    w: 60
    h: 60
  xyzvalues:
    filename: '../ColorChecker/checkerreference.yaml' # could also be in this file
    reference: 'checkerReferenceChromaxion'
msi2xyz: 'msi2xyz.txt'
suffix: '11band'
